1. Employee
Payflow API
Spain
  • Spain
  • Colombia
  • Peru
  • Guides
    • API Integration guide
  • Definitions
    • Employees
      • Employee Statuses
      • Salary Concepts
    • Payments
      • Payment Lifecycle
  • Explore our Public API
    • Auth & Health
      • Health
      • Test an API Key
    • Company
      • Retrieve your Company Details
    • Employee
      • Retrieve an Employee
        GET
      • Retrieve all Employees
        GET
      • Retrieve all Employees (V1.1)
        GET
      • Create an Employee
        POST
      • Upsert Employees in Bulk
        POST
      • Update an Employee by Personal ID
        PUT
      • Update an Employee by Payflow ID
        PUT
      • Update an Employee by Payroll ID
        PUT
    • Leaves
      • Retrieve all Employees on Leave
      • Create an Employee Leave
      • Remove an Employee Leave
    • Payments
      • Retrieve a Payment
      • Retrieve all Payments
      • Retrieve Employee Payments
      • Calculate Employee Available Amount
      • Request a Payment
      • Subscribe to Payment Updates
      • Mark Payments as Informed
    • Flexflow
      • Retrieve all Flexflow Transactions
      • Retrieve Employee Flexflow Transactions
  • Notifications Structure
    • Payment Updates
  • Schemas
    • Company
      • Company Response
    • Employee
      • ES | Create Employee Request
      • ES | Update Employee Request
      • ES | Employee Response
      • Create Employee Leave Request
    • Payment
      • Payment Response
      • Payment Response Convoluted
      • Payment Update
    • Flexflow
      • Employee Flexflow Transactions
    • Error
      • Generic Error Response
  1. Employee

Retrieve all Employees

Production
https://api-public.payflow.es
Production
https://api-public.payflow.es
GET
https://api-public.payflow.es
/employees
Retrieves employee information for all employees in the company.
This version is deprecated because it returns the full employee list without pagination. To improve performance and scalability, use the 1.1 version header instead.

Request

Authorization
API Key
Add parameter in header
authorization
Example:
authorization: ********************
or
Header Params

Responses

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-public.payflow.es/employees' \
--header 'api-version: 1.0' \
--header 'authorization: <api-key>'
Response Response Example
{
    "data": [
        {
            "id": 1,
            "payrollId": "Emp01",
            "firstName": "John",
            "lastName": "Doe",
            "documentType": null,
            "personalId": "12345678A",
            "bankAccountNumber": null,
            "bankAccountType": null,
            "iban": "ES0000000000000000000000",
            "bic_swift": null,
            "bankEntity": null,
            "grossSalary": null,
            "netSalary": 1500,
            "paymentFrequency": "monthly",
            "availableAmount": 0,
            "restrictedAmount": 0,
            "startDate": "2020-06-30",
            "contractEnd": null,
            "email": "john.doe@payflow.es",
            "address": "Employee Adress",
            "phone": null,
            "status": "active",
            "subsidiary": 1,
            "subsidiaryTaxId": "A00000000",
            "subsidiaryCode": "01",
            "active": false,
            "counter": 0,
            "agreedTyC": true,
            "lastLearnflowUse": null
        }
    ],
    "total": 1
}
Modified at 2026-05-12 11:04:47
Previous
Retrieve an Employee
Next
Retrieve all Employees (V1.1)
Built with